import { OnInit, EventEmitter, NgZone } from '@angular/core';
import { SurveyErrorStateMatcher } from '../index';
import { FormItem, FormItemWidget, SurveyFile } from '../form-item';
import { NgxFileDropEntry } from 'ngx-file-drop';
import { NgxSurveyService } from '../../ngx-survey.service';
import * as i0 from "@angular/core";
export declare class FormItemFile extends FormItem {
    fileType: string;
    multiple: boolean;
    value: SurveyFile[];
    areaLabel: string;
    buttonLabel: string;
}
export declare class FormItemFileComponent implements FormItemWidget, OnInit {
    private service;
    private zone;
    item: FormItemFile;
    editable: boolean;
    changes: EventEmitter<FormItemFile>;
    matcher: SurveyErrorStateMatcher;
    fileObjects: any[];
    files: SurveyFile[];
    fileIsOver: boolean;
    isFilesUploading: boolean;
    allowDelete: boolean;
    uploadedFilesNumber: number;
    uploadFilesNumber: number;
    accept: string;
    private acceptTypes;
    constructor(service: NgxSurveyService, zone: NgZone);
    ngOnInit(): void;
    ngOnChanges(): void;
    checkRequired(placeholder: any): true | undefined;
    onValueChanges(item: any): void;
    removeFile(file: SurveyFile): void;
    fileOver(fileIsOver: boolean): void;
    onFileDrop(files: NgxFileDropEntry[]): void;
    uploadFiles(files: SurveyFile[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemFileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemFileComponent, "ammo-form-item-file", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
